Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class ReadConfigurationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jain.protocol.ss7.SS7Exception
                        |
                        +--jain.protocol.ss7.oam.ReadConfigurationException

public class ReadConfigurationException
extends SS7Exception

This Exception is thrown by a JAIN OAM Layer object if the readCurrentConfiguration() method has been invoked and an error is encountered while attempting to establish the current system configuration or while creating the Managed MBeans that represent the current system configuration.

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Constructor Summary
`ReadConfigurationException()` Constructs a new `ReadConfigurationException`.
`ReadConfigurationException(java.lang.String msg)` Constructs a new `ReadConfigurationException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadConfigurationException

    public ReadConfigurationException()

  Constructs a new `ReadConfigurationException`.

### ReadConfigurationException

    public ReadConfigurationException(java.lang.String msg)

  Constructs a new `ReadConfigurationException` with the specified detail message.
  Parameters:
    `msg` - the message detail of this Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems